#ifndef saneopts_h
#define saneopts_h
/* This _must_ be the first option (index 0): */
#define SANE_OPT_NUM_OPTIONS            "Number of options"

#define SANE_OPT_BIT_DEPTH              "Bit depth"
#define SANE_OPT_SCAN_MODE              "Scan mode"
#define SANE_OPT_SCAN_SPEED             "Scan speed"
#define SANE_OPT_SCAN_SOURCE            "Scan source"
#define SANE_OPT_SCAN_TL_X              "Top-left x position of scan area"
#define SANE_OPT_SCAN_TL_Y              "Top-left y position of scan area"
#define SANE_OPT_SCAN_BR_X              "Bottom-right x position of scan area"
#define SANE_OPT_SCAN_BR_Y              "Bottom-right y position of scan area"
#define SANE_OPT_SCAN_RESOLUTION        "Scan resolution"
#define SANE_OPT_GAMMA_VECTOR           "Gamma table"
#define SANE_OPT_GAMMA_VECTOR_R         "Red gamma table"
#define SANE_OPT_GAMMA_VECTOR_G         "Green gamma table"
#define SANE_OPT_GAMMA_VECTOR_B         "Blue gamma table"
#define SANE_OPT_BRIGHTNESS             "Brightness"
#define SANE_OPT_CONTRAST               "Contrast"
#define SANE_OPT_GRAIN_SIZE             "Grain size"
#define SANE_OPT_HALFTONE               "Halftoning"
#define SANE_OPT_BLACKLEVEL             "Blacklevel"
#define SANE_OPT_WHITELEVEL             "Whitelevel"
#define SANE_OPT_HUE                    "Hue"
#define SANE_OPT_SATURATION             "Saturation"
#define SANE_OPT_FILE		        "Filename"

/* Descriptive/help strings for above options: */
#define SANE_DESC_NUM_OPTIONS "Read-only option that specifies how many options a specific devices supports."
#define SANE_DESC_BIT_DEPTH "Number of bits per sample, Typical values are 1 for \"line-art\" and 8 for multibit scans."
#define SANE_DESC_SCAN_MODE "Selects the scan mode (e.g., lineart,monochrome, or color)."
#define SANE_DESC_SCAN_SPEED "Determines the speed at which the scan proceeds."
#define SANE_DESC_SCAN_SOURCE "Selects the scan source (such as a document-feeder)."
#define SANE_DESC_SCAN_AREA "The scan area determines what portion of an image is visible in the scanned image."
#define SANE_DESC_SCAN_RESOLUTION "Sets the resolution of the scanned image"
#define SANE_DESC_GAMMA_VECTOR "Grayscale gamma-correction table."
#define SANE_DESC_GAMMA_VECTOR_R "Gamma-correction table for the red band."
#define SANE_DESC_GAMMA_VECTOR_G "Gamma-correction table for the green band."
#define SANE_DESC_GAMMA_VECTOR_B "Gamma-correction table for the blue band."
#define SANE_DESC_BRIGHTNESS "Controls the brightness of the acquired image."
#define SANE_DESC_CONTRAST "Controls the contrast of the acquired image."
#define SANE_DESC_GRAIN_SIZE "Selects the \"grainyness\" of the acquired image."
#define SANE_DESC_HALFTONE "Selects whether the acquired image should be halftoned (dithered)."
#define SANE_DESC_BLACKLEVEL "Selects what radiance level should be considered \"black\"."
#define SANE_DESC_WHITELEVEL "Selects what radiance level should be considered \"white\"."
#define SANE_DESC_HUE "Controls the \"hue\" (blue-level) of the acquired iamge."
#define SANE_DESC_SATURATION "The saturation level controls the amount of \"blooming\" that occurs when acquiring an image with a camera. Larger values cause more blooming."
#define SANE_DESC_FILE "A filename to operate on."

/* Some common other things: */

static const SANE_Range percentage_range = {
    -100 << SANE_FIXED_SCALE_SHIFT,     /* minimum */
     100 << SANE_FIXED_SCALE_SHIFT,     /* maximum */
       1 << SANE_FIXED_SCALE_SHIFT      /* quantization */
};

#endif /* saneopts_h */

